package
{	
	import flash.errors.IOError;	
	import fxunit.*;
	
	public class PersonTests
	{
		var name:String = "Adrian";
		var age:int = 20;
		
		private function createPerson():Person
		{
			var person:Person = new Person(name, age);
			return person;
		}
		
		[Test]
		public function TestPersonCtor():void
		{
			var person:Person = createPerson();
			Assert.equal(person.name, name);
			Assert.equal(person.age, age);
		}
		
		[Test]
		public function TestPersonSayHello():void
		{
			var person:Person = createPerson();
			Assert.equal(person.sayHello(), "Hello, I am Adrian, I am 20 years old.");
		}
		
		[Test]
		public function TestFailOnPurpose():void
		{
			Assert.equal(createPerson(), null);
		}
		
		[Test(expectedError="flash.errors::IOError")]
		public function TestExpectedError():void
		{
			throw new flash.errors.IOError();	
		}
	}
}