// Author: Adrian Huang
// Email: sanyuexx@hotmail.com
// Weblog: http://www.cnblogs.com/dah/
// 2007.10

package fxunit
{
	import flash.events.Event;
	
	public class TestEvent extends Event
	{
		public static const PASSED:String = "passed";
		public static const FAILED:String = "failed";
		
		private var _testName:String;
		private var _testMessage:String;
		
		public function get testResult():String
		{
			return super.type;
		}
		
		public function get testName():String
		{
			return _testName;
		}
		
		public function get testMessage():String
		{
			return _testMessage;
		}
		
		public function TestEvent(testResult:String, testName:String, testMessage:String = null)
		{
			super(testResult);
			_testName = testName;
			_testMessage = testMessage;
		}
	}
}